unit frmMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LR_Class, LR_View, LR_Desgn, LRDialogControls,
  LR_DB_Zeos, Forms, Controls, Graphics, Dialogs, StdCtrls, ZConnection,
  ZSQLProcessor;

type

  { TFormMain }

  TFormMain = class(TForm)
    BuEdit: TButton;
    BuShow: TButton;
    BuCreateDB: TButton;
    frDesigner1: TfrDesigner;
    frPreview1: TfrPreview;
    frReport1: TfrReport;
    LRDialogControls1: TLRDialogControls;
    lrZeosData1: TlrZeosData;
    ZConnection1: TZConnection;
    SQLProcessor: TZSQLProcessor;
    procedure BuEditClick(Sender: TObject);
    procedure BuCreateDBClick(Sender: TObject);
    procedure BuShowClick(Sender: TObject);
  private
    function ReportFileName: string;
    function SQLCreateFileName: string;
  public

  end;

var
  FormMain: TFormMain;

implementation

{$R *.lfm}
uses
  lazfileutils, lazutf8;

{ TFormMain }
procedure TFormMain.BuCreateDBClick(Sender: TObject);
var
  sl : TStringList;
  DBFile, DBSQLListe : String;
  i: Integer;
begin
  ZConnection1.Connected:=false;
  if FileExists('demo.sq3') then begin
    try
      DeleteFile('demo.sq3');
    except
      on e:exception do
        Showmessage('Exception: '+e.ToString);
    end;
  end;
  ZConnection1.Connected:=true;
  if FileExists(SQLCreateFileName) then begin
    try
      SQLProcessor.Clear;
      SQLProcessor.LoadFromFile(SQLCreateFileName);
      SQLProcessor.Execute;
    except
      on e:exception do
        Showmessage('Exception: '+e.ToString);
    end;
  end;
end;

procedure TFormMain.BuEditClick(Sender: TObject);
begin
  if FileExistsUTF8(ReportFileName) then
    frReport1.LoadFromFile(ReportFileName)
  else
    frReport1.FileName:=ReportFileName;
  frReport1.DesignReport;
end;

procedure TFormMain.BuShowClick(Sender: TObject);
begin
  if FileExistsUTF8(ReportFileName) then
  begin
    ZConnection1.Connect;
    frReport1.LoadFromFile(ReportFileName);
    frReport1.PrepareReport;
    frReport1.ShowPreparedReport;
  end;
end;

function TFormMain.ReportFileName: string;
begin
  Result:=AppendPathDelim(ExtractFileDir(ParamStrUTF8(0)))+'ReportDB.lrf';
end;

function TFormMain.SQLCreateFileName: string;
begin
  Result:=AppendPathDelim(ExtractFileDir(ParamStrUTF8(0)))+'CreateDB.sql';
end;


end.

